## cl-uffi 1.4.30

=== tests/Makefile ===
# FILE IDENTIFICATION
#
#  Name:         Makefile
#  Purpose:      Makefile for UFFI examples
#  Programer:    Kevin M. Rosenberg
#  Date Started: Mar 2002
#
#  CVS Id:   $Id: Makefile 8151 2003-11-11 14:58:32Z kevin $
#
# This file, part of UFFI, is Copyright (c) 2002 by Kevin M. Rosenberg
#
# UFFI users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.

SUBDIRS=

include ../Makefile.common

base=uffi-c-test
source=$(base).c
object=$(base).o
shared_lib=$(base).so

.PHONY: all
all: $(shared_lib)

$(shared_lib): $(source) Makefile
	BASE=$(base) OBJECT=$(object) SOURCE=$(source) SHARED_LIB=$(shared_lib) sh make.sh
	rm $(object)

.PHONY: distclean
distclean: clean
	rm -f $(base).dylib $(base).dylib $(base).so $(base).o

## cl-uffi 1.4.37

=== Makefile ===
# FILE IDENTIFICATION
# 
#  Name:         Makefile
#  Purpose:      Makefile for the uffi package
#  Programer:    Kevin M. Rosenberg, M.D.
#  Date Started: Mar 2002
#
#  CVS Id:   $Id: Makefile 7061 2003-09-07 06:34:45Z kevin $
#
# This file, part of UFFI, is Copyright (c) 2002 by Kevin M. Rosenberg
#
# UFFI users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.

PKG:=uffi
DEBPKG=cl-uffi
SUBDIRS:= examples src benchmarks
DOCSUBDIRS:=doc

include Makefile.common


.PHONY: all
all: 


.PHONY: distclean
distclean: clean
	@$(MAKE) -C doc $@
#	./debian/rules clean


SOURCE_FILES=src doc examples Makefile uffi.system uffi.debian.system \
	benchmarks COPYRIGHT README TODO INSTALL ChangeLog NEWS \
	test-examples.cl set-logical.cl 

.PHONY: doc
doc:
	$(MAKE) -C doc

.PHONY: dist
dist: clean
	$(MAKE) -C doc $@

.PHONY: TAGS
TAGS:
	if [ -f TAGS ]; then mv -f TAGS TAGS~; fi
	find . -name \*.lisp -exec /usr/bin/etags -a \{\} \;

=== doc/Makefile ===
##############################################################################
# FILE IDENTIFICATION
# 
#  Name:         Makefile
#  Purpose:      Makefile for the uffi documentation
#  Programer:    Kevin M. Rosenberg
#  Date Started: Mar 2002
#
#  CVS Id:   $Id: Makefile 8259 2003-11-21 03:45:40Z kevin $
#
# This file, part of UFFI, is Copyright (c) 2002-2003 by Kevin M. Rosenberg
#
# UFFI users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.
##############################################################################

DOCFILE_BASE_DEFAULT:=uffi
DOCFILE_EXT_DEFAULT:=xml


# Standard docfile processing

DEBIAN=$(shell expr "`cat /etc/issue`" : '.*Debian.*')
SUSE=$(shell expr "`cat /etc/issue`" : '.*SuSE.*')
REDHAT=$(shell expr "`cat /etc/issue`" : '.*RedHat.*')


ifneq (${DEBIAN},0)
OS:=debian
else
  ifneq (${SUSE},0)
    OS=suse
  else   
    ifneq (${REDHAT},0)
      OS=redhat
    endif
  endif
endif


ifndef DOCFILE_BASE
DOCFILE_BASE=${DOCFILE_BASE_DEFAULT}
endif

ifndef DOCFILE_EXT
DOCFILE_EXT=${DOCFILE_EXT_DEFAULT}
endif

DOCFILE:=${DOCFILE_BASE}.${DOCFILE_EXT}
FOFILE:=${DOCFILE_BASE}.fo
PDFFILE:=${DOCFILE_BASE}.pdf
PSFILE:=${DOCFILE_BASE}.ps
DVIFILE:=${DOCFILE_BASE}.dvi
TXTFILE:=${DOCFILE_BASE}.txt
HTMLFILE:=${DOCFILE_BASE}.html
TMPFILES:=${DOCFILE_BASE}.aux ${DOCFILE_BASE}.out ${DOCFILE_BASE}.log
DOCFILES:=$(shell echo *.xml *.xsl)

ifeq ($(XSLTPROC),)
  XSLTPROC:=xsltproc
endif

CATALOG:=`pwd`/catalog-${OS}.xml
CHECK:=XML_CATALOG_FILES="$(CATALOG)" xmllint --noout --xinclude --postvalid $(DOCFILE) || exit 1

.PHONY: all
all: html pdf 

.PHONY: dist
dist: html pdf

.PHONY: doc
doc: html pdf

.PHONY: check
check:
	@echo "Operating System Detected: ${OS}"
	@$(CHECK)

.PHONY: html
html: html.tar.gz

html.tar.gz: $(DOCFILES) Makefile 
	@rm -rf html
	@mkdir html
	@XML_CATALOG_FILES="$(CATALOG)" $(XSLTPROC) --stringparam chunker.output.encoding ISO-8859-1 \
		 --xinclude --output html/ html_chunk.xsl $(DOCFILE)
	@GZIP='-9' tar czf html.tar.gz html 

.PHONY: fo
fo: ${FOFILE}

${FOFILE}: $(DOCFILES) Makefile 
	@XML_CATALOG_FILES="$(CATALOG)" xsltproc --xinclude --output $(FOFILE) fo.xsl $(DOCFILE)

.PHONY: pdf
pdf: ${PDFFILE}

${PDFFILE}: ${DOCFILES} Makefile
	@$(MAKE) fo
	@fop $(FOFILE) -pdf $(PDFFILE) > /dev/null

.PHONY: dvi
dvi: ${DVIFILE}

.PHONY: ps
ps: ${PSFILE}

${PSFILE}: ${DOCFILES} Makefile
	@$(MAKE) fo
	@fop $(FOFILE) -ps $(PSFILE) > /dev/null


.PHONY: txt
txt: ${TXTFILE}

${TXTFILE}: ${FOFILE}
	@XML_CATALOG_FILES="$(CATALOG)" xsltproc --xinclude --output ${HTMLFILE} html.xsl $(DOCFILE)
	lynx -dump ${HTMLFILE} > ${TXTFILE}

.PHONY: clean
clean: 
	@rm -f *~ *.bak *.orig \#*\# .\#* texput.log
	@rm -rf html ${PSFILE} ${HTMLFILE}
	@rm -f ${TMPFILES} ${FOFILE}
	@rm -f  ${DVIFILE} ${TXTFILE}

.PHONY: distclean
distclean: clean

=== examples/Makefile ===
# FILE IDENTIFICATION
#
#  Name:         Makefile
#  Purpose:      Makefile for UFFI examples
#  Programer:    Kevin M. Rosenberg
#  Date Started: Mar 2002
#
#  CVS Id:   $Id: Makefile 7061 2003-09-07 06:34:45Z kevin $
#
# This file, part of UFFI, is Copyright (c) 2002 by Kevin M. Rosenberg
#
# UFFI users are granted the rights to distribute and use this software
# as governed by the terms of the Lisp Lesser GNU Public License
# (http://opensource.franz.com/preamble.html), also known as the LLGPL.

SUBDIRS:=

include ../Makefile.common

.PHONY: distclean
distclean: clean


base=c-test-fns
source=$(base).c
object=$(base).o
shared_lib=$(base).so

.PHONY: all
all: $(shared_lib)

linux: $(source) Makefile
	gcc -fPIC -DPIC -c $(source) -o $(object)
	gcc -shared $(object) -o $(shared_lib)
	rm $(object)

mac:
	cc -dynamic -c $(source) -o $(object)
	ld -bundle /usr/lib/bundle1.o -flat_namespace -undefined suppress -o $(base).dylib $(object)
	ld -bundle /usr/lib/bundle1.o -flat_namespace -undefined suppress /usr/lib/libz.dylib -o z.dylib

solaris:
	cc -KPIC -c $(source) -o $(object)
	cc -G $(object) -o $(shared_lib)

aix-acl:
	gcc -c -D_BSD -D_NO_PROTO -D_NONSTD_TYPES -D_MBI=void $(source)
	make_shared -o $(shared_lib) $(object)

## cl-uffi 1.5.14

=== doc/Makefile ===
--- 
+++ 
@@ -6,13 +6,9 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 8259 2003-11-21 03:45:40Z kevin $
+#  CVS Id:   $Id: Makefile 10614 2005-07-06 01:05:14Z kevin $
 #
-# This file, part of UFFI, is Copyright (c) 2002-2003 by Kevin M. Rosenberg
-#
-# UFFI users are granted the rights to distribute and use this software
-# as governed by the terms of the Lisp Lesser GNU Public License
-# (http://opensource.franz.com/preamble.html), also known as the LLGPL.
+# This file, part of UFFI, is Copyright (c) 2002-2005 by Kevin M. Rosenberg
 ##############################################################################
 
 DOCFILE_BASE_DEFAULT:=uffi
@@ -21,23 +17,36 @@
 
 # Standard docfile processing
 
-DEBIAN=$(shell expr "`cat /etc/issue`" : '.*Debian.*')
-SUSE=$(shell expr "`cat /etc/issue`" : '.*SuSE.*')
-REDHAT=$(shell expr "`cat /etc/issue`" : '.*RedHat.*')
-
+DEBIAN=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Debian.*')
+SUSE=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*SuSE.*')
+SUSE91=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*SuSE Linux 9.1.*')
+REDHAT=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Red Hat.*')
+MANDRAKE=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Mandrake.*')
+DARWIN=$(shell expr "`uname -a`" : '.*Darwin.*')
 
 ifneq (${DEBIAN},0)
 OS:=debian
 else
-  ifneq (${SUSE},0)
-    OS=suse
-  else   
-    ifneq (${REDHAT},0)
-      OS=redhat
+  ifneq (${SUSE91},0)
+    OS=suse91
+  else
+    ifneq (${SUSE},0)
+      OS=suse
+    else   
+      ifneq (${REDHAT},0)
+        OS=redhat
+      else   
+        ifneq (${MANDRAKE},0)
+          OS=mandrake
+        else   
+          ifneq (${DARWIN},0)
+            OS=darwin
+          endif 
+        endif
+      endif
     endif
   endif
 endif
-
 
 ifndef DOCFILE_BASE
 DOCFILE_BASE=${DOCFILE_BASE_DEFAULT}

## cl-uffi 1.6.0

=== Makefile ===
--- 
+++ 
@@ -5,13 +5,9 @@
 #  Programer:    Kevin M. Rosenberg, M.D.
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 7061 2003-09-07 06:34:45Z kevin $
+#  CVS Id:   $Id: Makefile 10614 2005-07-06 01:05:14Z kevin $
 #
-# This file, part of UFFI, is Copyright (c) 2002 by Kevin M. Rosenberg
-#
-# UFFI users are granted the rights to distribute and use this software
-# as governed by the terms of the Lisp Lesser GNU Public License
-# (http://opensource.franz.com/preamble.html), also known as the LLGPL.
+# This file, part of UFFI, is Copyright (c) 2002-2005 by Kevin M. Rosenberg
 
 PKG:=uffi
 DEBPKG=cl-uffi

=== doc/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 10614 2005-07-06 01:05:14Z kevin $
+#  CVS Id:   $Id: Makefile 11021 2006-08-14 04:22:28Z kevin $
 #
 # This file, part of UFFI, is Copyright (c) 2002-2005 by Kevin M. Rosenberg
 ##############################################################################
@@ -18,6 +18,7 @@
 # Standard docfile processing
 
 DEBIAN=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Debian.*')
+UBUNTU=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Ubuntu.*')
 SUSE=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*SuSE.*')
 SUSE91=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*SuSE Linux 9.1.*')
 REDHAT=$(shell expr "`cat /etc/issue 2> /dev/null`" : '.*Red Hat.*')
@@ -41,6 +42,10 @@
         else   
           ifneq (${DARWIN},0)
             OS=darwin
+          else  
+            ifneq (${UBUNTU},0)
+              OS=ubuntu
+            endif 
           endif 
         endif
       endif

=== examples/Makefile ===
--- 
+++ 
@@ -5,13 +5,10 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 7061 2003-09-07 06:34:45Z kevin $
+#  CVS Id:   $Id: Makefile 10614 2005-07-06 01:05:14Z kevin $
 #
-# This file, part of UFFI, is Copyright (c) 2002 by Kevin M. Rosenberg
+# This file, part of UFFI, is Copyright (c) 2002-2005 by Kevin M. Rosenberg
 #
-# UFFI users are granted the rights to distribute and use this software
-# as governed by the terms of the Lisp Lesser GNU Public License
-# (http://opensource.franz.com/preamble.html), also known as the LLGPL.
 
 SUBDIRS:=

=== tests/Makefile ===
--- 
+++ 
@@ -5,13 +5,9 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 8151 2003-11-11 14:58:32Z kevin $
+#  CVS Id:   $Id: Makefile 10614 2005-07-06 01:05:14Z kevin $
 #
-# This file, part of UFFI, is Copyright (c) 2002 by Kevin M. Rosenberg
-#
-# UFFI users are granted the rights to distribute and use this software
-# as governed by the terms of the Lisp Lesser GNU Public License
-# (http://opensource.franz.com/preamble.html), also known as the LLGPL.
+# This file, part of UFFI, is Copyright (c) 2002-2005 by Kevin M. Rosenberg
 
 SUBDIRS=

## cl-uffi 1.6.1

=== Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #  Programer:    Kevin M. Rosenberg, M.D.
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 10614 2005-07-06 01:05:14Z kevin $
+#  CVS Id:   $Id$
 #
 # This file, part of UFFI, is Copyright (c) 2002-2005 by Kevin M. Rosenberg

=== doc/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 11021 2006-08-14 04:22:28Z kevin $
+#  CVS Id:   $Id$
 #
 # This file, part of UFFI, is Copyright (c) 2002-2005 by Kevin M. Rosenberg
 ##############################################################################
@@ -98,7 +98,7 @@
 html.tar.gz: $(DOCFILES) Makefile 
 	@rm -rf html
 	@mkdir html
-	@XML_CATALOG_FILES="$(CATALOG)" $(XSLTPROC) --stringparam chunker.output.encoding ISO-8859-1 \
+	@XML_CATALOG_FILES="$(CATALOG)" $(XSLTPROC) --stringparam chunker.output.encoding UTF-8 \
 		 --xinclude --output html/ html_chunk.xsl $(DOCFILE)
 	@GZIP='-9' tar czf html.tar.gz html

## cl-uffi 1.6.2

=== examples/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 10614 2005-07-06 01:05:14Z kevin $
+#  CVS Id:   $Id$
 #
 # This file, part of UFFI, is Copyright (c) 2002-2005 by Kevin M. Rosenberg
 #

=== tests/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id: Makefile 10614 2005-07-06 01:05:14Z kevin $
+#  CVS Id:   $Id$
 #
 # This file, part of UFFI, is Copyright (c) 2002-2005 by Kevin M. Rosenberg

## cl-uffi 2.0.0

=== debian/changelog ===
cl-uffi (2.0.0-1) unstable; urgency=low

  * Update upstream version for ASDF version dependency checking
  * Switch to dpkg-source 3.0 (quilt) format

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 20 Apr 2010 12:11:34 -0600

cl-uffi (1.8.6-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 11 Feb 2010 13:05:40 -0700

cl-uffi (1.8.5-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 08 Feb 2010 16:06:57 -0700

cl-uffi (1.8.4-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 08 Feb 2010 10:47:27 -0700

cl-uffi (1.8.3-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 08 Feb 2010 08:28:15 -0700

cl-uffi (1.8.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 07 Feb 2010 21:17:13 -0700

cl-uffi (1.8.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 07 Feb 2010 02:34:52 -0700

cl-uffi (1.8.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 06 Feb 2010 20:38:59 -0700

cl-uffi (1.7.3-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 05 Feb 2010 19:32:55 -0700

cl-uffi (1.7.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 05 Feb 2010 14:46:19 -0700

cl-uffi (1.7.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri, 29 Jan 2010 14:22:26 -0700

cl-uffi (1.7.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 28 Jan 2010 14:47:42 -0700

cl-uffi (1.6.2-3) unstable; urgency=low

  * Build with debhelper extension dh-lisp
  * control: Add Vcs-Browser field. Fix Depends field.

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 03 Aug 2009 19:09:46 -0600

cl-uffi (1.6.2-2) unstable; urgency=low

  * debian/control: Improve description

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 02 Aug 2009 06:21:27 -0600

cl-uffi (1.6.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 02 Aug 2009 00:58:46 -0600

cl-uffi (1.6.1-1) unstable; urgency=low

  * New upstream
  * debian/control: Require debhelper 7. Change to new lisp section.
  Add Vcs-Git and Homepage fields.
  * debian/rules: Update for DH7, architecture-independent build
  * debian/{prerm,postrm}: Remove path from binary function

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 01 Aug 2009 20:38:03 -0600

cl-uffi (1.6.0-1) unstable; urgency=low

  * New upstream (closes: 433814) 

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 22 Jul 2007 12:39:49 -0600

cl-uffi (1.5.18-3) unstable; urgency=low

  * debian/watch: New version

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 18 Jul 2007 20:27:04 -0600

cl-uffi (1.5.18-2) unstable; urgency=low

  * Fix build twice in a row (closes: 424155)

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 22 May 2007 11:33:27 -0600

cl-uffi (1.5.18-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Thu, 12 Apr 2007 23:48:46 -0600

cl-uffi (1.5.17-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 10 Oct 2006 08:34:43 -0600

cl-uffi (1.5.16-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 02 Sep 2006 20:31:11 -0600

cl-uffi (1.5.15-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 14 Aug 2006 00:21:47 -0600

cl-uffi (1.5.14-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  4 Jul 2006 19:23:10 -0600

cl-uffi (1.5.13-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 17 May 2006 09:08:58 -0600

cl-uffi (1.5.12-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed, 17 May 2006 08:09:13 -0600

cl-uffi (1.5.11-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  9 May 2006 09:33:59 -0600

cl-uffi (1.5.10-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 17 Apr 2006 18:05:56 -0600

cl-uffi (1.5.9-1) unstable; urgency=low

  * add GNU uname (closes: 355924)

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  8 Mar 2006 12:06:17 -0700

cl-uffi (1.5.8-1) unstable; urgency=low

  * Really commit patch for GNU/kFreeBSD (closes: 345220)

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 16 Jan 2006 14:47:08 -0700

cl-uffi (1.5.7-2) unstable; urgency=low

  * Commit patch for GNU/kFreeBSD (closes: 345220)

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 31 Dec 2005 11:11:36 -0700

cl-uffi (1.5.7-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 14 Nov 2005 19:39:25 -0700

cl-uffi (1.5.6-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 14 Nov 2005 12:02:07 -0700

cl-uffi (1.5.5-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Fri,  4 Nov 2005 11:59:50 -0700

cl-uffi (1.5.4-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sun, 18 Sep 2005 01:22:50 -0600

cl-uffi (1.5.3-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 17 Sep 2005 23:44:20 -0600

cl-uffi (1.5.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Sat, 17 Sep 2005 22:48:11 -0600

cl-uffi (1.5.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  6 Jul 2005 21:29:46 -0600

cl-uffi (1.5.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue,  5 Jul 2005 19:03:23 -0600

cl-uffi (1.4.39-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Wed,  8 Jun 2005 18:37:06 -0600

cl-uffi (1.4.38-1) unstable; urgency=low

  * New upstream



=== debian/control ===
Source: cl-uffi
Section: lisp
Priority: optional
Maintainer: Kevin M. Rosenberg <kmr@debian.org>
Build-Depends: dh-lisp, zlib1g-dev,debhelper (>= 7.0.0)
Standards-Version: 3.8.4.0
Homepage: http://uffi.b9.com/
Vcs-Git: git://git.b9.com/uffi.git

Package: cl-uffi
Architecture: all
Depends: ${misc:Depends}
Recommends: cl-uffi-tests
Description: Universal Foreign Function Library for Common Lisp
 UFFI provides a universal foreign function interface (FFI) for 
 Common Lisp.
 UFFI supports AllegroCL, CMUCL, Lispworks, MCL, OpenMCL,
 SBCL, and SCL.

Package: cl-uffi-tests
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cl-uffi, zlib1g-dev
Description: Regression tests for UFFI Common Lisp Library
 This is a test of regression tests for Debian cl-uffi package.
 UFFI is a universal foreign function interface for Common Lisp
 implementations. Besides providing testing for UFFI, the tests 
 serve as an example of UFFI usage.

=== debian/rules ===
#!/usr/bin/make -f

pkg		:= uffi
pkg-tests	:= $(pkg)-tests
debpkg  	:= cl-$(pkg)
debpkg-tests  	:= $(debpkg)-tests

clc-source	:= usr/share/common-lisp/source
clc-systems	:= usr/share/common-lisp/systems
clc-files	:= $(clc-source)/$(pkg)
clc-tests	:= $(clc-source)/$(pkg-tests)
lib-dir		:= usr/lib/uffi


build: build-stamp

build-stamp:
	dh_testdir
	(cd tests; make)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	$(MAKE) clean
	(cd tests; make clean)
	rm -rf doc/html
	rm -f doc/cl-uffi.pdf.gz
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs --all $(clc-systems) $(clc-source) 
	dh_installdirs -p $(debpkg) $(clc-files)/src
	dh_install $(pkg).asd $(clc-files)
	dh_install "src/*.lisp" $(clc-files)/src

	rm -rf doc/html
	(cd doc; tar xzf html.tar.gz; cd ..)

	dh_installdirs -p $(debpkg-tests) $(clc-tests)/tests $(lib-dir)
	dh_install -p $(debpkg-tests) $(pkg-tests).asd $(clc-tests)
	dh_install -p $(debpkg-tests) tests/*.lisp tests/*.c $(clc-tests)/tests
	dh_install -p $(debpkg-tests) tests/*.so $(lib-dir)

binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i doc/uffi.pdf doc/html
	dh_installexamples -i examples/*.lisp
	dh_installchangelogs -i
	dh_lisp -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installchangelogs -a
	dh_lisp -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installmenu -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch


.PHONY: build clean binary-indep binary-arch binary install

## cl-uffi 2.1.0

=== debian/changelog ===
cl-uffi (2.1.0-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 19 Dec 2011 10:01:23 -0700

## cl-uffi 2.1.1

=== debian/changelog ===
cl-uffi (2.1.1-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Mon, 19 Dec 2011 10:35:50 -0700

## cl-uffi 2.1.2

=== Makefile ===
--- 
+++ 
@@ -5,9 +5,7 @@
 #  Programer:    Kevin M. Rosenberg, M.D.
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id$
-#
-# This file, part of UFFI, is Copyright (c) 2002-2005 by Kevin M. Rosenberg
+# This file, part of UFFI, is Copyright (c) 2002-2010 by Kevin M. Rosenberg
 
 PKG:=uffi
 DEBPKG=cl-uffi

=== benchmarks/Makefile ===
SUBDIRS		:= 

include ../Makefile.common

.PHONY: distclean
distclean: clean

=== doc/Makefile ===
--- 
+++ 
@@ -6,9 +6,7 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id$
-#
-# This file, part of UFFI, is Copyright (c) 2002-2005 by Kevin M. Rosenberg
+# This file, part of UFFI, is Copyright (c) 2002-2010 by Kevin M. Rosenberg
 ##############################################################################
 
 DOCFILE_BASE_DEFAULT:=uffi

=== examples/Makefile ===
--- 
+++ 
@@ -5,9 +5,7 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id$
-#
-# This file, part of UFFI, is Copyright (c) 2002-2005 by Kevin M. Rosenberg
+# This file, part of UFFI, is Copyright (c) 2002-2010 by Kevin M. Rosenberg
 #
 
 SUBDIRS:=

=== tests/Makefile ===
--- 
+++ 
@@ -5,9 +5,7 @@
 #  Programer:    Kevin M. Rosenberg
 #  Date Started: Mar 2002
 #
-#  CVS Id:   $Id$
-#
-# This file, part of UFFI, is Copyright (c) 2002-2005 by Kevin M. Rosenberg
+# This file, part of UFFI, is Copyright (c) 2002-2010 by Kevin M. Rosenberg
 
 SUBDIRS=

=== debian/changelog ===
cl-uffi (2.1.2-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Mon, 04 Jan 2021 16:36:42 +0100

cl-uffi (2.1.2-1) unstable; urgency=low

  * New upstream

 -- Kevin M. Rosenberg <kmr@debian.org>  Tue, 20 Dec 2011 20:01:37 -0700

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Kevin M. Rosenberg <kmr@debian.org>
 Build-Depends: dh-lisp, zlib1g-dev,debhelper (>= 7.0.0)
-Standards-Version: 3.8.4.0
+Standards-Version: 3.9.2.0
 Homepage: http://uffi.b9.com/
 Vcs-Git: git://git.b9.com/uffi.git

=== debian/rules ===
--- 
+++ 
@@ -14,7 +14,11 @@
 
 build: build-stamp
 
-build-stamp:
+build-stamp: build-arch build-indep
+
+build-arch:
+
+build-indep:
 	dh_testdir
 	(cd tests; make)
 	touch build-stamp

=== debian/watch ===
version=3
http://files.b9.com/uffi/uffi-([\d\.]*)\.tar\.gz
